Subject: Re: bug#32850: 27.0.50; window-swap-states doesn't swap window prev/next-buffers

From: martin rudalics <[email-masked]>
Date: Mon, 01 Oct 2018 10:35:41 +0200

> For example, in such sequences of buffers:
 >
 >    *info*<1> *info*<2> *info*<3> *info*<4> *info*<5>
 >    prev buffers      current buffer     next buffers
 >
 > and
 >
 >    *grep*<1> *grep*<2> *grep*<3> *grep*<4> *grep*<5>
 >    prev buffers      current buffer     next buffers
 >
 > window-swap-states currently breaks the list of related buffers,
 > e.g. after swapping only the window buffers, but not window
 > prev/next-buffers:
 >
 >    *info*<1> *info*<2> *grep*<3> *info*<4> *info*<5>
 >    prev buffers      current buffer     next buffers
 >
 > and
 >
 >    *grep*<1> *grep*<2> *info*<3> *grep*<4> *grep*<5>
 >    prev buffers      current buffer     next buffers

This looks consistent to me.  The respectively "current" buffers have
been swapped and the previous and next buffers of each window remain
the same.

 > 'C-x <C-left>' and 'C-x <C-right>' become broken.

In which sense?

 > Forget 'rotate-window-buffers', it's a bad name and I want to throw it away.
 > What I need is for Emacs to provide a consistent behavior by default.

So far I'm missing you.  How would you define consistency in this
context?

martin